Subject: Summary of responses to "CCL: IRIX 6.2+ and MSC's XMOL"

From: [email-masked] (Joe Golab)
Date: Thu, 3 Apr 1997 10:13:46 -0600

This is the third attempt to post this summary.  Sorry for bandwidth if
any of you has seen it before.

 ------------------------------ Forward Header ------------------------------
Date: March 27, 1997

RE: Summary of responses to "CCL: IRIX 6.2+ and MSC's XMOL"

>-- Original Question

>! Dear CCL:
>!
>! Recently, we upgraded our Silicon Graphics equipment to IRIX 6.2.  After
>! that, Xmol stopped working (% xmol - Exec format error) because Xmol uses
>! the COFF binary format.  According to Xmol's creators (Minnesota's SC),
>! "There are not plans to produce a new XMol distribution".
>!
>! We have been looking for an alternative to Xmol.  So far, we haven't had
>! much luck to duplicate Xmol's "Extras/Animate" feature.  We have found that
>! feature very useful when looking at optimization runs, IRC runs, etc.  The
>! animation button basically reads and displays a series of geometries from an
>! Xmol input file.
>!
>! Can anyone suggest an alternative software product for UNIX machines?
>! We have tried Rasmol and have not had any luck getting it to do animation
>! using a series of separate geometries.  (Which should not be taken as a slam
>! to Rasmol which we have found useful for Web presentations.)
>!
>! If any replies are received, I'll post the summary.  Thank you.
>!
>! --
>!
>! :Joe
>!  [email-masked]
>!  (630) 961-7878  <SOCON 231 7878>

>-- Executive Summary

 1) Source Code to Xmol is not available (to the best of my knowledge).  It
    was only distributed via executable code.  I (for one) wish one of the
    commerical software vendors would investigate the possibility of
    distributing a working copy of Xmol.  As far as I know, MSC has no plans
    for it beyond what is on their web site now.
    (Hint, Hint, Knudge, Knudge, Wink, Wink - Know what I mean?)

 2) Suggested Replacements
    a) VMD      - http://www.ks.uiuc.edu/Research/vmd/
    b) MOLDEN   - http://www.caos.kun.nl/~schaft/molden/molden.html
    c) Chime    - http://www.mdli.com/chemscape
    d) gOpenMol - http://laaksonen.csc.fi/gopenmol/gopenmol.htmls

>-- Response

*> Hi again Joe.  I don't use Xmol, but would the MOLDEN program do what
*> you need?  I use it to visualize geometry optimizations, vibrational
*> frequencies, and orbitals from Gaussian and sometimes GAMESS.  It's
*> free and has a web page:
*> http://www.caos.kun.nl/~schaft/molden/molden.html
*>
*> Good luck!
*>
*> ----------------------------------------------
*> Dr. Karl K. Irikura
*> Physical and Chemical Properties Division
*> National Institute of Standards and Technology
*> Gaithersburg, MD  20899
*> voice: 301-975-2510	fax: 301-975-3670
*> e-mail: [email-masked]
*> ----------------------------------------------

>-- Response

*> try using Chime as a plugin of a web page. It allows animations.
*> You only will have to set up a web page to do the embedding.
*>
*> Chemscape Chime is free downloadable from http://www.mdli.com/chemscape
*>
*> Rene P.F. Kanters
*> Chemistry Project Specialist
*> Chemistry Department
*> University of Richmond VA 23173
*>
*> phone: (804) 287-6873
*> email: [email-masked]
*> www:   http://www.richmond.edu/~rkanters
*>        http://www.science.richmond.edu/~kanters

>-- Response

*> You might want to try VMD, just released to the public on Mar 25. It's
*> homepage is http://www.ks.uiuc.edu/Research/vmd/
*>
*> David E. Reichert, Ph.D.
*> Mallinckrodt Inst. of Radiology
*> Div. Radiation Sciences
*> phone: (314)362-8461
*> fax: (314)362-9940
*> e-mail: [email-masked]

>-- Response

*> I use vmd to display dynamics (results from MD and normal modes).
*> I think vmd can use Xmol's xyz files, however I never tried that.
*> Instead, I wrote a little program that generates dcd files that
*> vmd can read. You are welcome to have it, if you want.
*> I found that vmd makes very fast and very pretty animation.
*> I you don't know where to find vmd on the net, I cal dig it up for you.
*>
*> Hope that helps,   Gert
*>
*> Gert von Helden
*> Dept. of molecular and Laser Physics, University of Nijmegen, Netherlands
*> e-mail: [email-masked], phone: (+31) 24 3652179, fax: (+31) 24 3653311

>-- Response

*> Did you tried the molden software ?
*> I use it on IRIX6.2 but you should have gaussian output.
*> Is it your case
*>
*> Dorothee Berthomieu
*> **************************************************
*> Laboratoire des Materiaux et Procedes Membranaires
*> UMR CNRS 5635
*> Ecole Nationale Superieure de Chimie de Montpellier
*> 8, rue de l'Ecole Normale
*> 34296 MONTPELLIER cedex 5
*> Tel : (33) 467 14 43 40
*> Telecopie :   (33) 467 14 43 47
*> email : [email-masked]
*> http://www.dr13.cnrs.fr/lmpm/fequ.html#DEPOCVD

>-- Response

*> Have you tried MolDen?  It can read various file types (e.g. Gaussian
*> output) and animate things like structures and vibrational modes.
*>
*> Nick
*>
*> ============================================================================
*>   Nicholas A. Nystrom, Ph.D.              Pittsburgh Supercomputing Center
*>   Scientific Specialist                   Mellon Institute Building
*>   email: [email-masked]                  4400 Fifth Avenue
*>   voice: +1 412-268-1592 fax: -5832       Pittsburgh, PA  15213    USA
*> ============================================================================

>-- Response

*>         Can't you get the xmol source code? All you should
*>   need to do is to rebuild the executable. If the program
*>   is being distributed form an academic center, I would
*>   be surprised if they would not hand out the source.
*>
*>        Good luck,
*>
*>        Randy
*>
*> All opinions expressed here are mine, not my employer's
*>
*> /////////////////////////////////////////////////////////////////////////
*> \\ Randy J. Zauhar, PhD             | E-mail: [email-masked]        //
*> \\ Tripos, Inc.                     |       : [email-masked]      //
*> \\ 1699 S. Hanley Rd., Suite 303    |  Phone: (314) 647-1099 Ext. 3382 //
*> \\ St. Louis, MO 63144              |                                  //
*> /////////////////////////////////////////////////////////////////////////
*> **                                                                     **
*> **  "If you have conceptions of things that you can have no conception **
*> **   of, then the conception and the thing appear to co-incide."       **
*> **   --- C.G. Jung                                                     **
*> *************************************************************************

>-- Response

*> Joe, I assume the source for XMol was never distributed?  Does anybody own
*> it currently?  If they're not going to make a new distribution, what's
*> happening to the program?
*>
*> All that's required is a recompile on an appropriate SGI...
*>
*> Joe
*>
*> --
*>
*> Joe Leonard                       Phone: +1 314 647 8837 x3204
*> Tripos, Inc.                      Fax:   +1 314 647 9241
*> 1699 S. Hanley Rd.                email: [email-masked]
*> St. Louis, MO 63144 USA           after-hours: [email-masked]

>-- Response

*> We went through exactly the same process. We're presently using the package
*> VMD. You can obtain a copy via http://www.ks.uiuc.edu/Research/vmd/ . It can
*> read in multi-frame XYZ files. Might be worth a try....
*>
*> Regards,
*> Mike
*>
*> -------------------------------------------------------------------
*> |    Mike Fearn,              Tel : UK (01684) 896536             |
*> |    Room PA101,	      Fax : UK (01684) 896150             |
*> |    D.R.A, Malvern,                                              |
*> |    Worcs. WR14 3PS          Email : [email-masked]            |
*> -------------------------------------------------------------------

>-- Response

*> There are certainly a lot of options. Let me suggest one further:
*>
*> The gOpenMol program at:
*>
*> http://laaksonen.csc.fi/gopenmol/gopenmol.htmls
*>
*> Regards,
*>
*> -leif laaksonen
*>
*> -------------------------------------------------------------------
*> Leif Laaksonen                     |
*> Center for Scientific Computing    | Phone:      358 9 4572378
*> P.O. Box 405                       | Mobile:     358 400425203
*> FIN-02101 Espoo                    | Telefax:    358 9 4572302
*> FINLAND                            | Mail:  [email-masked]
*> -------- URL: http://laaksonen.csc.fi/leif.laaksonen.html ---------

>-- Response

*>    This seems to be a common question lately as more and more
*> people upgrade to 6.x .  You might want to look at our visualization
*> program, VMD, at http://www.ks.uiuc.edu/Research/vmd/ .  It was
*> developed for, amoung other things, the visualization of MD
*> trajectories.
*>
*>   I doesn't read XYZ files directly, but if you have Babel
*> installed (http://mercury.aichem.arizona.edu/babel.html) it VMD
*> will call it and to the conversion to a set of PDB files automatically,
*> then read them in.  To the user, you wouldn't even notice the exchange.
*>
*> 						Andrew
*> 						[email-masked]

-- 

:Joe
 [email-masked]
 (630) 961-7878  <SOCON 231 7878>

 +---------------------------------------------------+
 | I bet the sparrow looks at the parrot and thinks, |
 | yes, you can talk, but LISTEN TO YOURSELF!        |
 |                                     - Jack Handey |
 +---------------------------------------------------+